---
lang: en
title: 'API docs: context.injection'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injection.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Injection](./context.injection.md)

## Injection interface

Descriptor for an injection point

**Signature:**

```typescript
export interface Injection<ValueType = BoundValue> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindingSelector](./context.injection.bindingselector.md) |  | [BindingSelector](./context.bindingselector.md)<!-- -->&lt;ValueType&gt; |  |
|  [member?](./context.injection.member.md) |  | string | _(Optional)_ |
|  [metadata](./context.injection.metadata.md) |  | [InjectionMetadata](./context.injectionmetadata.md) |  |
|  [methodDescriptorOrParameterIndex?](./context.injection.methoddescriptororparameterindex.md) |  | TypedPropertyDescriptor&lt;ValueType&gt; \| number | _(Optional)_ |
|  [resolve?](./context.injection.resolve.md) |  | [ResolverFunction](./context.resolverfunction.md) | _(Optional)_ |
|  [target](./context.injection.target.md) |  | Object |  |


